[ gpsdrive ] Bug Report: gpsdrive-2.10svn15854480

Carsten wd at Heddesdorfer-Husaren.de
Wed Sep 12 03:52:33 AKDT 2007


Am Dienstag 11 September 2007 schrieb Thomas Zimmermann:
> Am Dienstag 11 September 2007 23:09:18 schrieben Sie:
> > Am Dienstag 11 September 2007 21:14:26 schrieben Sie:
> > > On Dienstag 11 September 2007, Thomas Zimmermann wrote:
> > > > Hello together,
> > > > because the BugZilla isn't i will try this way.
> > > >
> > > > ---------------------------------------------------------------------
> > > >-- -- -- --
> > > >
> > > > * the build-dep's of the debian package arn't correct:
> > > > libboost-serialization-dev is missing.
> > >
> > > Are you sure about this dependency? I don't have this package installed
> > > on my build machine and it compiles fine.
> > >
> > > -
> > > Joerg
> >
> > I coudn't compile GpsDrive without this package and for the new version
> > (svn15964514) i needet perl-doc too.
> >
> > Perhaps is the needet header in an other package too...
> >
> >
> > But another thing, I tested my patches now within a debian package, and
> > they doesn't work there...
> > In the version installed with make the close button worked, but in the
> > deb version it doesn't. I will do some tests because of this, perhaps its
> > a strange behavior of my notebook.
> >
> >
> > And a bug that i've forgotten: the altitude field shows the speed and not
> > the altidude...
> >
> > Greets,
> > Thomas
>
> If i didn't override the patched files with the original files, the
> close-button patch and the poi_type_id patch will work ;)
> For the Segfault, i have to do some more tests...
>
> Greets.
> Thomas
> _______________________________________________
> GPSdrive mailing list
> GPSdrive at lists.gpsdrivers.org
> http://lists.gpsdrivers.org/mailman/listinfo/gpsdrive

Hi,

I'd tested Thomas' patch against 
"* Segfault while running kismet with GpsDrive, when something about 230 
networks in kismet GpsDrive crashes", 
it doesn't work. like Thomas already announced.

I think a working fix for this problem is a must for gpsdrive2.10pre4, 
so that driving with kismet is possible again.

2nd thing... the problem with the altitude exists here, too.

3rd thing... I need perl-doc and libboost-serialization-dev too, 
for packaging on debian sid/sidux 2007-04.

Carsten


More information about the GPSdrive mailing list